-- Test icon
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(11);

set search_path to camper, public;

select has_table('icon');
select has_pk('icon');
select table_privs_are('icon', 'guest', array['SELECT']);
select table_privs_are('icon', 'employee', array['SELECT']);
select table_privs_are('icon', 'admin', array['SELECT']);
select table_privs_are('icon', 'authenticator', array[]::text[]);

select has_column('icon', 'icon_name');
select col_is_pk('icon', 'icon_name');
select col_type_is('icon', 'icon_name', 'text');
select col_not_null('icon', 'icon_name');
select col_hasnt_default('icon', 'icon_name');


select *
from finish();

rollback;

